--- old/usr/src/man/man3head/ucontext.h.3head	Tue Aug 12 07:52:14 2014
+++ new/usr/src/man/man3head/ucontext.h.3head	Tue Aug 12 07:52:14 2014
@@ -1,69 +1,69 @@
-'\" te
+.\" Copyright 2014 Garrett D'Amore <garrett@damore.org>
 .\"  Copyright 1989 AT&T  Copyright (c) 2002, Sun Microsystems, Inc.  All Rights Reserved
 .\" The contents of this file are subject to the terms of the Common Development and Distribution License (the "License").  You may not use this file except in compliance with the License.
 .\" You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE or http://www.opensolaris.org/os/licensing.  See the License for the specific language governing permissions and limitations under the License.
 .\" When distributing Covered Code, include this CDDL HEADER in each file and include the License file at usr/src/OPENSOLARIS.LICENSE.  If applicable, add the following below this CDDL HEADER, with the fields enclosed by brackets "[]" replaced with your own identifying information: Portions Copyright [yyyy] [name of copyright owner]
-.TH UCONTEXT.H 3HEAD "Aug 30, 2002"
-.SH NAME
-ucontext.h, ucontext \- user context
-.SH SYNOPSIS
-.LP
-.nf
-#include <\fBucontext.h\fR>
-.fi
-
-.SH DESCRIPTION
-.sp
-.LP
-The  <\fBucontext.h\fR> header defines the \fBucontext_t\fR type as a structure
-that includes at least the following members:
-.sp
-.in +2
-.nf
-ucontext_t  uc_link
-sigset_t    uc_sigmask
-stack_t     uc_stack
-mcontext_t  uc_mcontext
-.fi
-.in -2
-
-.sp
-.LP
-The \fBuc_link\fR member is a pointer to the context that to be resumed when
-this context returns. If \fBuc_link\fR is equal to 0, this context is the main
+.Dd "Jul 20, 2014"
+.Dt UCONTEXT.H 3HEAD
+.Os
+.Sh NAME
+.Nm ucontext.h, ucontext
+.Nd user context
+.Sh SYNOPSIS
+.In ucontext.h
+.Sh DESCRIPTION
+The
+.In ucontext.h
+header defines the
+.Ft ucontext_t
+type as a structure that includes at least the following members:
+.Bl -column -offset indent "ucontext_t" "uc_mcontext"
+.It Ft ucontext_t	Fa uc_link ;
+.It Ft sigset_t	Fa uc_sigmask ;
+.It Ft stack_t	Fa uc_stack ;
+.It Ft mcontext_t	Fa uc_mcontext ;
+.El
+.Lp
+The
+.Fa uc_link
+member is a pointer to the context that to be resumed when
+this context returns. If
+.Fa uc_link
+is equal to 0, this context is the main
 context and the process exits when this context returns.
-.sp
-.LP
-The \fBuc_sigmask\fR member defines the set of signals that are blocked when
-this context is active. See \fBsigprocmask\fR(2).
-.sp
-.LP
-The \fBuc_stack\fR member defines the stack used by this context. See
-\fBsigaltstack\fR(2).
-.sp
-.LP
-The \fBuc_mcontext\fR member contains the saved set of machine registers and
+.Lp
+The
+.Fa uc_sigmask
+member defines the set of signals that are blocked when
+this context is active. See
+.Xr sigprocmask 2 .
+.Lp
+The
+.Fa uc_stack
+member defines the stack used by this context. See
+.Xr sigaltstack 2 .
+.Lp
+The
+.Fa uc_mcontext
+member contains the saved set of machine registers and
 any implementation-specific context data. Portable applications should not
-modify or access \fBuc_mcontext\fR.
-.SH ATTRIBUTES
-.sp
-.LP
-See \fBattributes\fR(5) for descriptions of the following attributes:
-.sp
-
-.sp
-.TS
-box;
-c | c
-l | l .
-ATTRIBUTE TYPE	ATTRIBUTE VALUE
-_
-Interface Stability	Standard
-.TE
-
-.SH SEE ALSO
-.sp
-.LP
-\fBgetcontext\fR(2), \fBsigaction\fR(2), \fBsigaltstack\fR(2),
-\fBsigprocmask\fR(2), \fBmakecontext\fR(3C), \fBattributes\fR(5),
-\fBstandards\fR(5)
+modify or access
+.Fa uc_mcontext .
+.Sh INTERFACE STABILITY
+.Sy Obsolete Standard .
+.Sh SEE ALSO
+.Xr getcontext 2 ,
+.Xr sigaction 2 ,
+.Xr sigaltstack 2 ,
+.Xr sigprocmask 2 ,
+.Xr makecontext 3C ,
+.Xr standards 5
+.Sh STANDARDS
+The
+.In ucontext.h
+header was introduced in
+.St -xpg4.2 .
+It was subsequently obsoleted in
+.St -p1003.1-2001 ,
+and removed in
+.St -p1003.1-2008 .
